package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 模板对象 fs_inquiry_temp
 *
 * @author fs
 * @date 2023-09-04
 */
public class FsInquiryTemp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long tempId;

    /** 模板类型 */
    @Excel(name = "模板类型")
    private Integer tempType;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 分值JSON */
    @Excel(name = "分值JSON")
    private String itemJson;

    /** 排序号 */
    @Excel(name = "排序号")
    private Long sort;

    public void setTempId(Long tempId)
    {
        this.tempId = tempId;
    }

    public Long getTempId()
    {
        return tempId;
    }
    public void setTempType(Integer tempType)
    {
        this.tempType = tempType;
    }

    public Integer getTempType()
    {
        return tempType;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setItemJson(String itemJson)
    {
        this.itemJson = itemJson;
    }

    public String getItemJson()
    {
        return itemJson;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("tempId", getTempId())
            .append("tempType", getTempType())
            .append("title", getTitle())
            .append("itemJson", getItemJson())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("sort", getSort())
            .toString();
    }
}
